import { INetworkManager, IServer } from '../interfaces/external-dependencies.js';
export declare class NetworkManagerImpl implements INetworkManager {
    createServer(): IServer;
    findFreePort(): Promise<number>;
}
